Package org.apache.jmeter.gui

# Interface Replaceable

All Known Implementing Classes:
  `AccessLogSampler`, `AjpSampler`, `HeaderManager`, `HTTPSampler`, `HTTPSamplerBase`, `HTTPSamplerProxy`

public interface Replaceable
Interface for nodes that have replaceable content.

A `Replaceable` component will get asked for tokens, that should be used in a search. These tokens will then be matched against a user given search string.

Since:
  3.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `replace(String regex, String replaceBy, boolean caseSensitive)`
  Replace in object by replaceBy

- ## Method Details

  - ### replace

    int replace(String regex, String replaceBy, boolean caseSensitive) throws Exception
    Replace in object by replaceBy
    Parameters:
      `regex` - Regular expression to search for
      `replaceBy` - Text used as replacement
      `caseSensitive` - flag, whether search should be done case sensitive
    Returns:
      number of replacements
    Throws:
      `Exception` - when something fails while replacing